%define archivever 1.02rc1

Name: lzop
Version: 1.03
Release: 1.ru

Summary: Real-time file compressor

Group: Applications/Archiving
License: GPL+
URL: http://www.%{name}.org/
Source: http://www.%{name}.org/download/%{name}-%{archivever}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: lzo-devel

%description
lzop is a compression utility which is designed to be a companion to gzip. It
is based on the LZO library and its main advantages over gzip are much higher
compression and decompression speed at the cost of compression ratio.

lzop was designed with reliability, speed, portibility and as a reasonable
drop-in compatiblity to gzip.

%prep
%setup -q -n %{name}-%{archivever}

%build
%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
%makeinstall

%clean
rm -fr %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog
%doc %{_mandir}/man?/*
%attr(0755,root,root) %{_bindir}/*

%changelog
* Mon Jul 21 2014 Renish Matta <rm934@nbcs.rutgers.edu> 1.03-1.ru
- Initial build for CentOS 5

* Sat Dec 08 2007 Robert Scheck <robert@fedoraproject.org> 1.02-0.5.rc1
- Updated the license tag according to the guidelines

* Sun Aug 12 2007 Robert Scheck <robert@fedoraproject.org> 1.02-0.4.rc1
- Rebuilt for EPEL branches

* Sat Sep 02 2006  Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.02-0.4.rc1
- FE6 Rebuild

* Sun Jul 30 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.02-0.3.rc1
- use new alphatag convention
- build with lzop 2 at last

* Mon Feb 13 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.02-0.2
- rebuilt for new gcc4.1 snapshot and glibc changes
- build with lzop 1 since lzop 2 hasn't been merged yet

* Thu Jan 19 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.02-0.1
- update to 1.02rc1
- build with lzop 2

* Wed Jan 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.01-4
- gcc 4.1 build time

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com>
- 1.01-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Apr 20 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>
- 0:1.01-0.fdr.1
- Fedorization

* Tue Mar 09 2004 Dag Wieers <dag@wieers.com>
- 1.01-1
- Initial package. (using DAR)
